Subject: bug#54433: 29.0.50; Invalid read syntax: "#<" with async-bytecomp

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 19 Mar 2022 06:17:36 +0000

Hello Alan,

Alan Mackenzie <[email-masked]> writes:

> I think that all the byte-* variables are connected with byte
> compilation.  But I also think that they are (?nearly?) all internal
> variables, so it shouldn't be needed to copy them to an aynchronous
> thread (?or process?).

Thanks to confirm this.

>> > Maybe any variables with "--" in their symbols should be filtered out
>> > of the copying operation.
>
>> Name space problem, byte-* vars and functions have no fixed prefix (not
>> always).
>  
> OK.  I think you're saying that there are other variables with "--" that
> you _do_ need to copy.

No, not anymore. Wanted to say that if needed it is harder to catch foo--,
foo-this--, foo-else-this-- etc... instead of just foo--.

> Well, we're back in communication again.  :-)  I've heard good things
> about posteo.

Yes, works great :-)

Thanks.

-- 
Thierry